aboutsummaryrefslogtreecommitdiffstats
path: root/test-all-options.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test-all-options.sh')
-rwxr-xr-xtest-all-options.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/test-all-options.sh b/test-all-options.sh
new file mode 100755
index 0000000..8e89d15
--- /dev/null
+++ b/test-all-options.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+for a in PASSPHRASE_ECHO ""; do
+ for b in PASSPHRASE_STAR ""; do
+ for c in PASSPHRASE_REALLOC ""; do
+ for d in PASSPHRASE_MOVE ""; do
+ for e in PASSPHRASE_INSERT ""; do
+ for f in PASSPHRASE_OVERRIDE ""; do
+ for g in PASSPHRASE_DELETE ""; do
+ for h in PASSPHRASE_CONTROL ""; do
+ for i in PASSPHRASE_DEDICATED ""; do
+ for j in DEFAULT_INSERT ""; do
+ for k in PASSPHRASE_INVALID ""; do
+ make libpassphrase -B OPTIONS="$a $b $c $d $e $f $g $h $i $j $k" || exit 1
+ done
+ done
+ done
+ done
+ done
+ done
+ done
+ done
+ done
+ done
+done
+